<?xml version="1.0" encoding="UTF-8"?>
<?NLS TYPE="org.eclipse.help.toc"?>
<!-- ========================== -->
<!-- Define topics for the Tasks -->
<!-- ========================== -->
<toc label="Attività">

	<topic label="Modifica dell'aspetto degli strumenti Java">
		<topic label="Come visualizzare e nascondere gli elementi" href="tasks/tasks-2.htm">
			<topic label="Come visualizzare e nascondere i file di sistema" href="tasks/tasks-3.htm"></topic>
			<topic label="Come visualizzare e nascondere i file CLASS generati per i tipi interni" href="tasks/tasks-4.htm"></topic>
			<topic label="Come visualizzare e nascondere le librerie" href="tasks/tasks-5.htm"></topic>
			<topic label="Come visualizzare e nascondere i pacchetti vuoti " href="tasks/tasks-183.htm"></topic>
			<topic label="Come visualizzare e nascondere i pacchetti principali vuoti " href="tasks/tasks-184.htm"></topic>
			<topic label="Come visualizzare e nascondere i file Java " href="tasks/tasks-185.htm"></topic>
			<topic label="Come visualizzare e nascondere gli elementi non Java" href="tasks/tasks-186.htm"></topic>
			<topic label="Come visualizzare e nascondere i progetti non Java" href="tasks/tasks-213.htm"></topic>
			<topic label="Come visualizzare e nascondere i membri" href="tasks/tasks-191.htm"></topic>
			<topic label="Come visualizzare e nascondere gli indicatori di sostituzione" href="tasks/tasks-192.htm"></topic>
			<topic label="Come visualizzare e nascondere i tipi di ritorno metodo" href="tasks/tasks-193.htm"></topic>
			<topic label="Come visualizzare e nascondere le dichiarazioni di importazione" href="tasks/tasks-212.htm"></topic>
			<topic label="Come visualizzare e nascondere le dichiarazioni di pacchetto" href="tasks/tasks-214.htm"></topic>
		</topic>
		<topic label="Visualizzazione dei nomi di pacchetto completi o compressi" href="tasks/tasks-194.htm"></topic>
		<topic label="Ordinamento degli elementi nelle viste Java" href="tasks/tasks-195.htm"></topic>		
		<topic label="Personalizzazione del debugger e della console" >
			<topic label="Modifica della prospettiva attiva durante l'avvio" href="tasks/tasks-9.htm"></topic>
			<topic label="Modifica dell'aspetto della vista console" href="tasks/tasks-consoleAppearance.htm"></topic>
		</topic>
	</topic>
	<anchor id="t_appearancejava" />

	<topic label="Creazione di elementi Java" href="tasks/tasks-11.htm">
		<topic label="Creazione di un nuovo progetto Java" href="tasks/tasks-12.htm">
			<topic label="Creazione di un progetto Java come contenitore di origine" href="tasks/tasks-13.htm"></topic>
			<topic label="Creazione di un progetto Java con cartelle di origine" href="tasks/tasks-14.htm"></topic>
		</topic>
		<topic label="Creazione di una nuova cartella di origine" href="tasks/tasks-26.htm">
			<topic label="Creazione di una nuova cartella di origine con filtro di esclusione" href="tasks/tasks-221.htm"></topic>
			<topic label="Creazione di una nuova cartella di origine con una specifica cartella di output" href="tasks/tasks-222.htm"></topic>
		</topic>
		<topic label="Creazione di un nuovo pacchetto Java" href="tasks/tasks-15.htm"></topic>
		<topic label="Creazione di una nuova classe Java" href="tasks/tasks-17.htm">
			<topic label="Creazione di una classe di livello alto" href="tasks/tasks-18.htm"></topic>
			<topic label="Creazione di una classe nidificata" href="tasks/tasks-19.htm"></topic>
			<topic label="Creazione di una nuova classe in un'unità di compilazione esistente" href="tasks/tasks-20.htm"></topic>
		</topic>
		<topic label="Creazione di un'enumerazione Java" href="tasks/tasks-17b.htm"></topic>
		<topic label="Creazione di una nuova interfaccia Java" href="tasks/tasks-21.htm">
			<topic label="Creazione di un'interfaccia di alto livello" href="tasks/tasks-23.htm"></topic>
			<topic label="Creazione di un'interfaccia nidificata" href="tasks/tasks-24.htm"></topic>
			<topic label="Creazione di una nuova interfaccia in un'unità di compilazione esistente" href="tasks/tasks-25.htm"></topic>
		</topic>
		<topic label="Creazione di una nuova annotazione Java" href="tasks/tasks-21b.htm"></topic>
		<topic label="Creazione di una nuova pagina di bozza Java" href="tasks/tasks-27.htm"></topic>
	</topic>
	<anchor id="t_createjavaelements" />

	<topic label="Creazione di file JAR" href="tasks/tasks-32.htm">
		<topic label="Creazione di un nuovo file JAR" href="tasks/tasks-33.htm"></topic>
		<topic label="Impostazione di opzioni avanzate" href="tasks/tasks-34.htm"></topic>
		<topic label="Definizione del manifest del file JAR" href="tasks/tasks-35.htm"></topic>
		<topic label="Rigenerazione di un file JAR" href="tasks/tasks-36.htm"></topic>
	</topic>
	<anchor id="t_createjar" />

	<topic label="Creazione della documentazione Javadoc" href="tasks/tasks-196.htm">
		<topic label="Selezione dei tipi per la generazione Javadoc" href="tasks/tasks-199.htm"></topic>	
		<topic label="Configurazione degli argomenti Javadoc per il doclet standard" href="tasks/tasks-200.htm"></topic>	
		<topic label="Configurazione degli argomenti Javadoc" href="tasks/tasks-201.htm"></topic>	
	</topic>
	<anchor id="t_createjavadoc" />
	
	<topic label="Utilizzo della vista Gerarchia" href="tasks/tasks-37.htm">
		<topic label="Modifica dell'aspetto della vista Gerarchia" href="tasks/tasks-38.htm"></topic>
		<topic label="Apertura di una gerarchia dei tipi su un elemento Java" href="tasks/tasks-39.htm"></topic>
		<topic label="Apertura di una gerarchia dei tipi sulla selezione di testo corrente" href="tasks/tasks-40.htm"></topic>
		<!--<topic label="Opening a type hierarchy in the workbench" href="tasks/tasks-41.htm"></topic>-->
		<topic label="Apertura di una gerarchia dei tipi nella prospettiva corrispondente" href="tasks/tasks-42.htm"></topic>
		<topic label="Individuazione dei metodi sostituiti" href="tasks/tasks-44.htm"></topic>
	</topic>
	<anchor id="t_hierarchyview" />

	<topic label="Utilizzo di Esplora pacchetti" href="tasks/tasks-45.htm">
		<topic label="Filtro di elementi" href="tasks/tasks-47.htm"></topic>
		<topic label="Spostamento di cartelle, pacchetti e file" href="tasks/tasks-51.htm"></topic>
	</topic>
	<anchor id="t_packagesview" />

	<topic label="Utilizzo dell'editor Java" href= "tasks/tasks-54.htm">
		<topic label="Generazione dei metodi getter e setter" href="tasks/tasks-57.htm"></topic>
		<topic label="Visualizzazione di singoli elementi o interi file Java" href="tasks/tasks-6.htm"></topic>
		<topic label="Gestione di istruzioni di importazione" href="tasks/tasks-58.htm">
			<topic label="Aggiunta delle istruzioni di importazione richieste" href="tasks/tasks-59.htm"></topic>
			<topic label="Organizzazione delle istruzioni di importazione esistenti" href="tasks/tasks-60.htm"></topic>
			<topic label="Impostazione dell'ordine delle istruzioni di importazione" href="tasks/tasks-61.htm"></topic>
		</topic>
		<topic label="Utilizzo della cronologia locale" href="tasks/tasks-62.htm">
			<topic label="Confronto di un elemento Java con un'edizione della cronologia locale" href="tasks/tasks-63a.htm"></topic>
			<topic label="Sostituzione di un elemento Java con un'edizione della cronologia locale" href="tasks/tasks-63.htm"></topic>
			<topic label="Ripristino di un elemento del workbench cancellato" href="tasks/tasks-64.htm"></topic>
		</topic>
		<topic label="Utilizzo dell'Assistente ai contenuti" href="tasks/tasks-65.htm"></topic>
		<topic label="Formattazione del codice Java" href="tasks/tasks-66.htm">
			<topic label="Formattazione di file o parti di codice" href="tasks/tasks-67.htm"></topic>
			<topic label="Impostazione delle preferenze di formattazione del codice" href="tasks/tasks-68.htm"></topic>
		</topic>
		<topic label="Visualizzazione della documentazione e delle informazioni" href="tasks/tasks-69.htm">
			<topic label="Visualizzazione della Guida dell'indicatore" href="tasks/tasks-70.htm"></topic>
			<topic label="Visualizzazione delle informazioni Javadoc" href="tasks/tasks-71.htm"></topic>
		</topic>
		<topic label="Utilizzo di modelli" href="tasks/tasks-171.htm"></topic>
		<topic label="Scrittura di modelli" href="tasks/tasks-203.htm"></topic>
		<topic label="Conversione dei delimitatori di riga" href="tasks/tasks-172.htm"></topic>
		<topic label="Ricerca e sostituzione" href="tasks/tasks-173.htm">
			<topic label="Utilizzo della finestra di dialogo Trova/Sostituisci" href="tasks/tasks-181.htm"></topic>
			<topic label="Utilizzo della ricerca incrementale" href="tasks/tasks-182.htm"></topic>
			<topic label="Ricerca della corrispondenza successiva o precedente" href="tasks/tasks-187.htm"></topic>
		</topic>
		<topic label="Modifica della codifica utilizzata per mostrare l'origine" href="tasks/tasks-174.htm"></topic>
		<topic label="Utilizzo della correzione rapida" href="tasks/tasks-175.htm"></topic>
		<topic label="Utilizzo della selezione strutturata" href="tasks/tasks-176.htm"></topic>
		<topic label="Aggiunta e rimozione di commenti delle righe di codice" href="tasks/tasks-177.htm"></topic>
		<topic label="Spostamento delle righe di codice a sinistra e destra" href="tasks/tasks-178.htm"></topic>
		<topic label="Utilizzo dell'inclusione con try/catch" href="tasks/tasks-179.htm"></topic>
	</topic>
	<anchor id="t_usingjavaed" />

	<topic label="Esternalizzazione delle stringhe" href="tasks/tasks-206.htm">
		<topic label="Individuazione di stringhe da esternalizzare" href="tasks/tasks-188.htm"></topic>
		<topic label="Individuazione delle chiavi non utilizzate o utilizzate in modo scorretto nei file di proprietà" href="tasks/tasks-202.htm"></topic>
		<topic label="Utilizzo della procedura guidata Esternalizzazione stringhe" href="tasks/tasks-180.htm">
			<topic label="Pagina chiave/valore" href="tasks/tasks-189.htm"></topic>
			<topic label="Pagina del file delle proprietà" href="tasks/tasks-190.htm"></topic>
		</topic>
	</topic>
	<anchor id="t_externalizingstrings" />
	
	<topic label="Esplorazione del workbench JDT" >
		<topic label="Apertura di un editor per un elemento selezionato" href="tasks/tasks-73.htm"></topic>
		<topic label="Visualizzazione di un elemento nella vista Esplora pacchetti" href="tasks/tasks-74.htm"></topic>
		<topic label="Apertura di un tipo nella vista Esplora pacchetti" href="tasks/tasks-75.htm"></topic>
		<topic label="Apertura di un editor su un tipo" href="tasks/tasks-76.htm"></topic>
		<topic label="Apertura di un pacchetto" href="tasks/tasks-77.htm"></topic>
		<!--<topic label="Viewing Source in a JAR File" href="tasks/tasks-78.htm"></topic>-->
		<!--< topic label="Searching Java code" href="tasks/tasks-79.htm"></topic> -->
	</topic>
	<anchor id="t_navigatingjdt" />

	<topic label="Refactoring" href="tasks/tasks-80.htm">
		<topic label="Fasi del refactoring" >
			<topic label="Refactoring senza anteprima" href="tasks/tasks-82.htm"></topic>
			<topic label="Refactoring con anteprima" href="tasks/tasks-83.htm"></topic>
			<topic label="Anteprima del modifiche del refactoring" href="tasks/tasks-84.htm"></topic>
		</topic>
		<topic label="Copia e spostamento di elementi Java" href="tasks/tasks-85.htm"></topic>
		<topic label="Estrazione di un metodo" href="tasks/tasks-87.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-88.htm"></topic>
			<topic label="Pagina dei problemi" href="tasks/tasks-89.htm"></topic>
		</topic>
		<topic label="Ridenominazione di un pacchetto" href="tasks/tasks-90.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-91.htm"></topic>
		</topic>
		<topic label="Ridenominazione di un'unità di compilazione" href="tasks/tasks-92.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-93.htm"></topic>
		</topic>
		<topic label="Ridenominazione di un tipo" href="tasks/tasks-94.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-95.htm"></topic>
		</topic>
		<topic label="Ridenominazione di un metodo" href="tasks/tasks-96.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-97.htm"></topic>
		</topic>
		<topic label="Ridenominazione di un campo" href="tasks/tasks-169.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-170.htm"></topic>
		</topic>
		<topic label="Ridenominazione di una variabile locale" href="tasks/tasks-204.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-205.htm"></topic>
		</topic>
		<topic label="Ridenominazione dei parametri del metodo" href="tasks/tasks-98.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-99.htm"></topic>
		</topic>
		<topic label="Modifica firma metodo" href="tasks/tasks-157.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-158.htm"></topic>
		</topic>
		<topic label="Estrazione di una variabile locale" href="tasks/tasks-159.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-160.htm"></topic>
		</topic>
		<topic label="Estrazione di una costante" href="tasks/tasks-209.htm">
		</topic>
		<topic label="Inline di una variabile locale" href="tasks/tasks-161.htm">
		</topic>
		<topic label="Inline di un metodo" href="tasks/tasks-208.htm">
		</topic>
		<topic label="Inline di una costante" href="tasks/tasks-207.htm">
		</topic>
		<topic label="Incapsulamento automatico di un campo" href="tasks/tasks-162.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-163.htm"></topic>
		</topic>
		<topic label="Sostituzione di una variabile locale con una query" href="tasks/tasks-164.htm">
		</topic>
		<topic label="Spostamento dei membri verso l'alto nella superclasse" href="tasks/tasks-165.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-166.htm"></topic>
		</topic>
		<topic label="Spostamento dei membri nelle sottoclassi" href="tasks/tasks-220.htm">
		</topic>
		<topic label="Spostamento di membri statici tra tipi" href="tasks/tasks-167.htm">
			<topic label="Pagina Parametri" href="tasks/tasks-168.htm"></topic>
		</topic>
		<topic label="Spostamento di un metodo di istanza in un componente" href="tasks/tasks-210.htm">
		</topic>
		<topic label="Conversione di una variabile locale in un campo" href="tasks/tasks-211.htm">
		</topic>
		<topic label="Conversione di una classe interna anonima in una classe nidificata" href="tasks/tasks-216.htm">
		</topic>
		<topic label="Conversione di un tipo nidificato in un tipo di livello superiore" href="tasks/tasks-217.htm">
		</topic>
		<topic label="Estrazione di un'interfaccia da un tipo" href="tasks/tasks-218.htm">
		</topic>
		<topic label="Sostituzione dei riferimenti in un tipo con i riferimenti a uno dei relativi supertipi" href="tasks/tasks-219.htm">
		</topic>
		<topic label="Sostituzione di un singolo riferimento in un tipo con un riferimento a uno dei relativi supertipi" href="tasks/tasks-223.htm">
		</topic>
		<topic label="Sostituzione di un'espressione con un parametro di metodo" href="tasks/tasks-224.htm">
		</topic>
		<topic label="Sostituzione delle chiamate al costruttore con richiami al metodo factory" href="tasks/tasks-225.htm">
		</topic>
		<topic label="Deduzione tipi di parametri per i riferimenti ai tipi generici" href="tasks/tasks-226.htm">
		</topic>
		
		<topic label="Annullamento di un'operazione di refactoring"  href="tasks/tasks-100.htm"></topic>
		<topic label="Ripetizione di un'operazione di refactoring" href="tasks/tasks-101.htm"></topic>
	</topic>
	<anchor id="t_refactoringjdt" />

	<topic label="Ricerca" >
		<topic label="Esecuzione di una ricerca Java mediante la finestra di dialogo Ricerca" href="tasks/tasks-103.htm"></topic>
		<topic label="Esecuzione di una ricerca Java mediante menu di scelta rapida" href="tasks/tasks-104.htm"></topic>
	</topic>
	<anchor id="t_searchingjdt" />

	<topic label="Generazione" >
		<topic label="Generazione di un programma Java" href="tasks/tasks-106.htm">
			<topic label="Visualizzazione degli errori e degli avvisi di compilazione" href="tasks/tasks-107.htm"></topic>
			<topic label="Generazione automatica" href="tasks/tasks-108.htm"></topic>
			<topic label="Generazione manuale" href="tasks/tasks-109.htm"></topic>
			<topic label="Generazione di progetti circolari" href="tasks/tasks-109a.htm"></topic>
			<topic label="Generazione senza ripulire il percorso di output" href="tasks/tasks-109b.htm"></topic>
		</topic>
		<topic label="Utilizzo dei percorsi di generazione" href="tasks/tasks-110.htm">
			<topic label="Visualizzazione e modifica di un percorso di generazione del progetto" href="tasks/tasks-111.htm"></topic>
			<topic label="Aggiunta di una cartella di librerie al percorso di generazione" href="tasks/tasks-112.htm"></topic>
			<topic label="Aggiunta di un file JAR al percorso di generazione" href="tasks/tasks-113.htm"></topic>
			<topic label="Aggiunta di una variabile del percorso classi al percorso di generazione" href="tasks/tasks-114.htm"></topic>
			<topic label="Collegamento origine a un file JAR" href="tasks/tasks-115.htm"></topic>
			<topic label="Collegamento origine a una cartella della libreria" href="tasks/tasks-115a.htm"></topic>
			<topic label="Collegamento origine a una variabile del percorso classi" href="tasks/tasks-116.htm"></topic>
			<topic label="Definizione di una variabile del percorso classi" href="tasks/tasks-117.htm"></topic>
			<topic label="Eliminazione di una variabile del percorso classi" href="tasks/tasks-118.htm"></topic>
		</topic>
		<topic label="Utilizzo di JRE" href="tasks/tasks-JREs.htm">
			<topic label="Assegnazione del JRE predefinito per il workbench" href="tasks/tasks-120.htm"></topic>
			<topic label="Aggiunta di una nuova definizione JRE" href="tasks/tasks-121.htm"></topic>
			<topic label="Sostituzione delle librerie di sistema predefinite per una definizione JRE" href="tasks/tasks-122.htm"></topic>
			<topic label="Modifica di una definizione JRE" href="tasks/tasks-123.htm"></topic>
			<topic label="Scelta di un JRE per l'avvio di un progetto" href="tasks/tasks-124.htm"></topic>
			<topic label="Eliminazione di una definizione JRE" href="tasks/tasks-deleteJRE.htm">	</topic>
		</topic>
	</topic>
	<anchor id="t_buildingjdt" />

	<topic label="Esecuzione e debug" href="tasks/tasks-126.htm">
		<topic label="Avvio di un programma Java" href="tasks/tasks-130.htm"></topic>
		<topic label="Avvio di un'applet Java" href="tasks/tasks-130a.htm"></topic>
		<topic label="Creazione di una configurazione di avvio di un'applicazione Java" href="tasks/tasks-java-local-configuration.htm"></topic>
		<topic label="Impostazione degli argomenti di esecuzione" href="tasks/tasks-executionArgs.htm"></topic>
		<topic label="Riavvio di un programma" href="tasks/tasks-131.htm"></topic>
		<topic label="Debug locale" href="concepts/clocdbug.htm">
			<topic label="Preparazione al debug" href="tasks/tasks-133.htm"></topic>
			<topic label="Avvio di un programma Java in modalità debug" href="tasks/tasks-debug-launch.htm"></topic>
			<topic label="Sospensione thread" href="tasks/tasks-134.htm"></topic>
			<topic label="Ripresa dell'esecuzione dei thread sospesi" href="tasks/tasks-135.htm"></topic>
			<topic label="Fasi dell'esecuzione di un programma" href="tasks/tasks-136.htm"></topic>
			<topic label="Esame dei valori" href="tasks/tasks-137.htm"></topic>
			<topic label="Valutazione di espressioni" href="tasks/tasks-138.htm"></topic>
		</topic>
		<topic label="Debug remoto" href="concepts/cremdbug.htm">
			<topic label="Utilizzo della configurazione di avvio dell'applicazione Java remota" href="tasks/tasks-141.htm"></topic>
			<topic label="Disconnessione da una VM" href="tasks/tasks-142.htm"></topic>
		</topic>
		<topic label="Punti di interruzione" href="concepts/cbrkpnts.htm">
			<topic label="Aggiunta di punti di interruzione" href="tasks/tasks-144.htm"></topic>
			<topic label="Rimozione di punti di interruzione" href="tasks/tasks-144a.htm"></topic>
			<topic label="Attivazione e disattivazione di punti di interruzione" href="tasks/tasks-144b.htm"></topic>
			<topic label="Impostazione punti di interruzione metodo" href="tasks/tasks-145.htm"></topic>
			<topic label="Applicazione numero di passaggi" href="tasks/tasks-146.htm"></topic>
			<topic label="Gestione punti di interruzione condizionali" href="tasks/tasks-144c.htm"></topic>
			<topic label="Rilevamento di eccezioni Java" href="tasks/tasks-147.htm"></topic>
		</topic>
	</topic>
	<anchor id="t_runningdebuggingjdt" />
	<topic label="Utilizzo delle bozze" href="concepts/concepts-11.htm">
		<topic label="Creazione di una pagina di bozza Java" href="tasks/tasks-149.htm"></topic>
		<topic label="Esame del risultato della valutazione di un'espressione" href="tasks/tasks-150.htm"></topic>
		<topic label="Visualizzazione del risultato della valutazione di un'espressione" href="tasks/tasks-151.htm"></topic>
		<topic label="Esecuzione di un'espressione" href="tasks/tasks-152.htm"></topic>
		<topic label="Utilizzo dell'assistente al codice" href="tasks/tasks-153.htm"></topic>
		<topic label="Report errori di bozza" href="tasks/tasks-154.htm">
			<topic label="Visualizzazione degli errori di compilazione" href="tasks/tasks-155.htm"></topic>
			<topic label="Visualizzazione delle eccezioni di runtime" href="tasks/tasks-156.htm"></topic>
		</topic>
	</topic>
	<anchor id="t_scrapbook" />
</toc>
